#!/usr/bin/python3
import openpyxl

file = "模板.xlsx"
wb = openpyxl.load_workbook(file, data_only=True)

SHEET_INDEX = wb['使用说明']
SHEET_TALBE = wb['座次表']
SHEET_NAMES = wb['参会人员名单']


def delete_ws(worksheet):
    wb.remove(worksheet)


def autoFill(worksheet: object) -> object:
    for row in worksheet.rows:
        for cell in row:
            cellist = str(cell.value)
            if cellist is None:
                continue
            if cellist.isdigit():
                cell.value = '=INDEX(参会人员名单!B:B,MATCH(' + cellist + ',参会人员名单!A:A,0))'


autoFill(SHEET_TALBE)

delete_ws(SHEET_INDEX)
# delete_ws(SHEET_NAMES)

wb.save('座次表.xlsx')
wb.close()
